      dimension c(100),cn(100)
      data dx,dt/100.,10./

      dh=10.

      do 1,i=1,100
        cn(i)=0.0
        c(i)=0.0
        if (i.eq.25) c(i)=1.0
 1    continue

      iunit=1
      do 10,i=1,100
        write (1,*) i,c(i)
 10   continue
      
      do 2,n=1,500
        do 3,i=2,99
          cn(i)=c(i)+dt*dh*(c(i+1)+c(i-1)-2.*c(i))/(dx*dx)
 3      continue
        cn(1)=0.0
        cn(100)=0.0

        do 4,i=1,100
          c(i)=cn(i)
 4      continue

        if (n.eq.180.or.n.eq.360) then
          iunit=iunit+1
          do 5,i=1,100
          write (iunit,*) i,c(i)
 5      continue
      end if
      
 2    continue

      stop
      end
